﻿
namespace ThinkGeo.MapSuite.Core
{
    class ExLogoAdornmentLayer : LogoAdornmentLayer
    {
        public ExLogoAdornmentLayer(GeoImage geoImage)
            : base(geoImage)
        { }

        RectangleShape boundingBox;

        public override bool HasBoundingBox
        {
            get
            {
                return true;
            }
        }

        protected override void DrawCore(GeoCanvas canvas, System.Collections.ObjectModel.Collection<SimpleCandidate> labelsInAllLayers)
        {
            base.DrawCore(canvas, labelsInAllLayers);
            ScreenPointF uperLeftPointF = GetDrawingLocation(canvas, Image.GetWidth(), Image.GetHeight());
            ScreenPointF lowerRightPointF = new ScreenPointF(uperLeftPointF.X + Image.GetWidth(), uperLeftPointF.Y + Image.GetHeight());
            PointShape uperLeftPoint = ExtentHelper.ToWorldCoordinate(canvas.CurrentWorldExtent, uperLeftPointF, canvas.Width, canvas.Height);
            PointShape lowerRightPoint = ExtentHelper.ToWorldCoordinate(canvas.CurrentWorldExtent, lowerRightPointF, canvas.Width, canvas.Height);

            boundingBox = new RectangleShape(uperLeftPoint, lowerRightPoint);
        }

        protected override RectangleShape GetBoundingBoxCore()
        {
            return boundingBox;
        }
    }
}
